diff -r 33bb7ffc54a1 -r e64af49a2189 libgui/languages/it_IT.ts
--- a/libgui/languages/it_IT.ts	Fri Apr 06 14:34:24 2018 -0700
+++ b/libgui/languages/it_IT.ts	Sat Apr 07 14:01:54 2018 +0100
@@ -1794,228 +1176,228 @@
     <message>
         <location filename="../src/files-dock-widget.cc" line="+73"/>
         <source>File Browser</source>
-        <translation type="unfinished"></translation>
+        <translation>Gestore dei file</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse your files</source>
-        <translation type="unfinished">Gestisci file</translation>
+        <translation>Gestisci file</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>File size</source>
-        <translation type="unfinished">Dimensione</translation>
+        <translation>Dimensione</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>File type</source>
-        <translation type="unfinished">Tipo</translation>
+        <translation>Tipo</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Date modified</source>
-        <translation type="unfinished">Data ultima modifica</translation>
+        <translation>Data ultima modifica</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Show hidden</source>
-        <translation type="unfinished">Mostra file nascosti</translation>
+        <translation>Mostra file nascosti</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Alternating row colors</source>
-        <translation type="unfinished">Colori alternati per le righe</translation>
-    </message>
-    <message>
-        <location line="+25"/>
+        <translation>Colori alternati per le righe</translation>
+    </message>
+    <message>
+        <location line="+26"/>
         <source>Enter the path or filename</source>
-        <translation type="unfinished">Inserire il percorso o il nome del file</translation>
+        <translation>Inserire il percorso o il nome del file</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>One directory up</source>
-        <translation type="unfinished">Livello superiore</translation>
+        <translation>Livello superiore</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Octave directory</source>
-        <translation type="unfinished">Mostra la cartella di Octave</translation>
+        <translation>Mostra la cartella di Octave</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Go to current Octave directory</source>
-        <translation type="unfinished">Vai alla directory corrente di Octave</translation>
+        <translation>Vai alla cartella corrente di Octave</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Set Octave directory</source>
-        <translation type="unfinished">Scegli la cartella di Octave</translation>
+        <translation>Imposta la cartella di Octave</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Set Octave directory to current browser directory</source>
-        <translation type="unfinished">Impostare la cartella di Octave alla cartella corrente</translation>
+        <translation>Impostare la cartella corrente come cartella di Octave</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Actions on current directory</source>
-        <translation type="unfinished">Azioni sulla cartella corrente</translation>
+        <translation>Azioni sulla cartella corrente</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Home Directory</source>
-        <translation type="unfinished">Mostra la cartella personale</translation>
+        <translation>Mostra la cartella personale</translation>
     </message>
     <message>
         <location line="+12"/>
         <source>Set Browser Directory...</source>
-        <translation type="unfinished">Scegliere la cartella del gestore...</translation>
+        <translation>Scegli la cartella del gestore di file...</translation>
     </message>
     <message>
         <location line="+4"/>
         <location line="+365"/>
         <source>Find Files...</source>
-        <translation type="unfinished"></translation>
+        <translation>Trova file...</translation>
     </message>
     <message>
         <location line="-361"/>
         <location line="+374"/>
         <source>New File...</source>
-        <translation type="unfinished">Nuovo file...</translation>
+        <translation>Nuovo file...</translation>
     </message>
     <message>
         <location line="-371"/>
         <location line="+374"/>
         <source>New Directory...</source>
-        <translation type="unfinished">Nuova cartella...</translation>
+        <translation>Nuova cartella...</translation>
     </message>
     <message>
         <location line="-320"/>
         <source>Activate to open in editor, right click for alternatives</source>
-        <translation type="unfinished">Attiva per aprire nell&apos;editor, tasto destro per le alternative</translation>
+        <translation>Attiva per aprire nell&apos;editor, tasto destro per le alternative</translation>
     </message>
     <message>
         <location line="+273"/>
         <source>Open</source>
-        <translation type="unfinished">Apri</translation>
+        <translation>Apri</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in System File Explorer</source>
-        <translation type="unfinished">Apri nel gestore file di sistema</translation>
+        <translation>Apri nel gestore di file di sistema</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in Text Editor</source>
-        <translation type="unfinished">Apri in editor di testo</translation>
+        <translation>Apri in editor di testo</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy Selection to Clipboard</source>
-        <translation type="unfinished">Copia selezione negli appunti</translation>
+        <translation>Copia selezione negli appunti</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Run</source>
-        <translation type="unfinished">Esegui</translation>
+        <translation>Esegui</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Load Data</source>
-        <translation type="unfinished">Carica dati</translation>
+        <translation>Carica dati</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Set Current Directory</source>
-        <translation type="unfinished">Seleziona la cartella corrente</translation>
+        <translation>Imposta la cartella corrente</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Rename...</source>
-        <translation type="unfinished">Rinomina...</translation>
+        <translation>Rinomina...</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete...</source>
-        <translation type="unfinished">Elimina...</translation>
+        <translation>Elimina...</translation>
     </message>
     <message>
         <location line="+118"/>
         <source>Rename file/directory</source>
-        <translation type="unfinished">Rinomina file/cartella</translation>
+        <translation>Rinomina file/cartella</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Rename file/directory:
 </source>
-        <translation type="unfinished">Rinomina file/cartella:
+        <translation>Rinomina file/cartella:
 </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>
  to: </source>
-        <translation type="unfinished">
+        <translation>
  a: </translation>
     </message>
     <message>
         <location line="+30"/>
         <location line="+14"/>
         <source>Delete file/directory</source>
-        <translation type="unfinished">Elimina file/cartella</translation>
+        <translation>Elimina file/cartella</translation>
     </message>
     <message>
         <location line="-13"/>
         <source>Are you sure you want to delete
 </source>
-        <translation type="unfinished">Si è sicuri di voler eliminare
+        <translation>Si è sicuri di voler eliminare
 </translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Can not delete a directory that is not empty</source>
-        <translation type="unfinished">Impossibile eliminare una cartella non vuota</translation>
+        <translation>Impossibile eliminare una cartella non vuota</translation>
     </message>
     <message>
         <location line="+145"/>
         <source>Set directory of file browser</source>
-        <translation type="unfinished">Seleziona la cartella del gestore di file</translation>
+        <translation>Imposta la cartella del gestore di file</translation>
     </message>
     <message>
         <location line="+26"/>
         <source>Create File</source>
-        <translation type="unfinished">Nuovo file</translation>
+        <translation>Nuovo file</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Create file in
 </source>
         <comment>String ends with \n!</comment>
-        <translation type="unfinished">Nuovo file in
+        <translation>Nuovo file in
 </translation>
     </message>
     <message>
-        <location line="+1"/>
+        <location line="+2"/>
         <source>New File.txt</source>
-        <translation type="unfinished">Nuovo.txt</translation>
+        <translation>Nuovo file.txt</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>Create Directory</source>
-        <translation type="unfinished">Nuova cartella</translation>
+        <translation>Nuova cartella</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Create folder in
 </source>
         <comment>String ends with \n!</comment>
-        <translation type="unfinished">Nuova cartella in
+        <translation>Nuova cartella in
 </translation>
     </message>
     <message>
-        <location line="+1"/>
+        <location line="+2"/>
         <source>New Directory</source>
-        <translation type="unfinished">Nuova cartella</translation>
+        <translation>Nuova cartella</translation>
     </message>
 </context>
 <context>
@@ -2023,22 +1405,22 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="+274"/>
         <source>Enjoy!</source>
-        <translation type="unfinished">Buon lavoro!</translation>
+        <translation>Buon lavoro!</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Previous</source>
-        <translation type="unfinished">Precedente</translation>
+        <translation>Precedente</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Finish</source>
-        <translation type="unfinished">Finito</translation>
+        <translation>Concludi</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished">Annulla</translation>
+        <translation>Annulla</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2047,10 +1429,10 @@
 &lt;p&gt;If you encounter problems, there are a number of ways to get help, including commercial support options, a mailing list, a wiki, and other community-based support channels.
 You can find more information about each of these by visiting &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (opens in external browser).&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;body&gt;
-&lt;p&gt;Ci auguriamo che troviate Octave un utile strumento.&lt;/p&gt;
-&lt;p&gt;Se incontraste problemi, ci sono vari modi di ottenere aiuto, tra cui supporto commerciale, una mailing list, una wiki ed altri canali di supporto gestiti dalla community.
-Potete trovare ulteriori informazioni al riguardo visitando &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (si apre in un browser esterno).&lt;/p&gt;
+        <translation>&lt;html&gt;&lt;body&gt;
+&lt;p&gt;Ci auguriamo che troviate Octave uno strumento utile.&lt;/p&gt;
+&lt;p&gt;Si dovessero incontrare problemi, ci sono vari modi di ottenere aiuto, tra cui supporto commerciale, una mailing list, una wiki ed altri canali di supporto gestiti dalla comunità.
+Per ulteriori informazioni, si visiti il sito &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (si apre in un browser esterno).&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</translation>
     </message>
     <message>
@@ -2067,7 +1449,7 @@
 &lt;li&gt;Open the documentation browser of the Octave GUI with the help menu&lt;/li&gt;
 &lt;/ul&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;head&gt;
+        <translation>&lt;html&gt;&lt;head&gt;
 &lt;style&gt;
 a:link { text-decoration: underline; color: #0000ff; }
 &lt;/style&gt;
@@ -2086,107 +1468,107 @@
     <message>
         <location filename="../src/m-editor/find-dialog.cc" line="+87"/>
         <source>Find and Replace</source>
-        <translation type="unfinished">Trova e sostituisci</translation>
+        <translation>Trova e sostituisci</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Find &amp;what:</source>
-        <translation type="unfinished">T&amp;rova:</translation>
+        <translation>T&amp;rova:</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Re&amp;place with:</source>
-        <translation type="unfinished">Sos&amp;tituisci con:</translation>
+        <translation>Sos&amp;tituisci con:</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Match &amp;case</source>
-        <translation type="unfinished">Maiuscole/&amp;minuscole</translation>
+        <translation>Maiuscole/&amp;minuscole</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search from &amp;start</source>
-        <translation type="unfinished">Cerca dall&apos;i&amp;nizio</translation>
+        <translation>Cerca dall&apos;i&amp;nizio</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Wrap while searching</source>
-        <translation type="unfinished">&amp;Evidenzia durante la ricerca</translation>
+        <translation>&amp;Vai a capo durante la ricerca</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;Find Next</source>
-        <translation type="unfinished">&amp;Trova successivo</translation>
+        <translation>&amp;Trova successivo</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find &amp;Previous</source>
-        <translation type="unfinished">Trova &amp;precedente</translation>
+        <translation>Trova &amp;precedente</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Replace</source>
-        <translation type="unfinished">&amp;Sostituisci</translation>
+        <translation>Sos&amp;tituisci</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Replace &amp;All</source>
-        <translation type="unfinished">S&amp;ostituisci tutti</translation>
+        <translation>S&amp;ostituisci tutti</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;More...</source>
-        <translation type="unfinished">&amp;Avanzate...</translation>
+        <translation>&amp;Avanzate...</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>&amp;Whole words</source>
-        <translation type="unfinished">Paro&amp;le intere</translation>
+        <translation>Paro&amp;le intere</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Regular E&amp;xpressions</source>
-        <translation type="unfinished">Espressioni Re&amp;golari</translation>
+        <translation>Espressioni Re&amp;golari</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search &amp;backward</source>
-        <translation type="unfinished">Cerca &amp;indietro</translation>
+        <translation>Cerca &amp;indietro</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search se&amp;lection</source>
-        <translation type="unfinished">Cerca nella sele&amp;zione</translation>
+        <translation>Cerca nella sele&amp;zione</translation>
     </message>
     <message>
         <location line="+86"/>
         <source>Search from end</source>
-        <translation type="unfinished">Cerca dalla fine</translation>
+        <translation>Cerca dalla fine</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Search from start</source>
-        <translation type="unfinished">Cerca dall&apos;inizio</translation>
+        <translation>Cerca dall&apos;inizio</translation>
     </message>
     <message>
         <location line="+209"/>
         <source>Replace Result</source>
-        <translation type="unfinished">Sostituisci risultato</translation>
+        <translation>Sostituisci risultato</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>%1 items replaced</source>
-        <translation type="unfinished">%1 occorrenze sostituite</translation>
+        <translation>%1 occorrenze sostituite</translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Find Result</source>
-        <translation type="unfinished">Trova risultato</translation>
+        <translation>Trova risultato</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>No more matches found</source>
-        <translation type="unfinished">Nessun&apos;altra corrispondenza trovata</translation>
+        <translation>Nessun&apos;altra corrispondenza trovata</translation>
     </message>
 </context>
 <context>
@@ -2194,147 +1576,147 @@
     <message>
         <location filename="../src/find-files-dialog.cc" line="+54"/>
         <source>Find Files</source>
-        <translation type="unfinished">Cerca file</translation>
+        <translation>Trova file</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Named:</source>
-        <translation type="unfinished">Chiamato:</translation>
+        <translation>Chiamato:</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Enter the filename search expression</source>
-        <translation type="unfinished">Inserire un&apos;espressione da ricercare nel nome del file</translation>
+        <translation>Inserire un&apos;espressione da ricercare nel nome del file</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Start in:</source>
-        <translation type="unfinished">Comincia da:</translation>
+        <translation>Comincia da:</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Enter the start directory</source>
-        <translation type="unfinished">Inserire la cartella di partenza</translation>
+        <translation>Inserire la cartella di partenza</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Browse...</source>
-        <translation type="unfinished">Esplora...</translation>
+        <translation>Esplora...</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse for start directory</source>
-        <translation type="unfinished">Seleziona la cartella di partenza</translation>
+        <translation>Seleziona la cartella di partenza</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Search subdirectories</source>
-        <translation type="unfinished">Ricerca nelle sottocartelle</translation>
+        <translation>Ricerca nelle sottocartelle</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Search recursively through directories for matching files</source>
-        <translation type="unfinished">Cerca ricorsivamente nella gerarchia di cartelle</translation>
+        <translation>Cerca ricorsivamente nella gerarchia di cartelle</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Include directory names</source>
-        <translation type="unfinished">Includi i nomi di cartelle</translation>
+        <translation>Includi i nomi di cartelle</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Include matching directories in search results</source>
-        <translation type="unfinished">Includi cartelle nei risultati di ricerca</translation>
+        <translation>Includi cartelle nei risultati di ricerca</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Name case insensitive</source>
-        <translation type="unfinished">Nessuna distinzione maiuscole/minuscole nel nome</translation>
+        <translation>Nessuna distinzione maiuscole/minuscole nel nome</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Set matching name is case insensitive</source>
-        <translation type="unfinished">Nessuna distinzione maiuscole/minuscole per le corrispendenze fra nomi</translation>
+        <translation>Nessuna distinzione maiuscole/minuscole per le corrispendenze fra nomi</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Contains text:</source>
-        <translation type="unfinished">Contiene il testo:</translation>
+        <translation>Contiene il testo:</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Enter the file content search expression</source>
-        <translation type="unfinished">Inserisci un&apos;espressione da ricercare nel contenuto del file</translation>
+        <translation>Inserisci un&apos;espressione da ricercare nel contenuto del file</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Text to match</source>
-        <translation type="unfinished">Testo da trovare</translation>
+        <translation>Testo da trovare</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Text case insensitive</source>
-        <translation type="unfinished">Testo senza distinzione maisucole/minuscole</translation>
+        <translation>Nessuna distinzione maisucole/minuscole nel testo</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Set text content is case insensitive</source>
-        <translation type="unfinished">Nessuna distinzione maiuscole/minuscole nel contenuto del testo</translation>
+        <translation>Nessuna distinzione maiuscole/minuscole nel contenuto del testo</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Search results</source>
-        <translation type="unfinished">Risultati della ricerca</translation>
+        <translation>Risultati della ricerca</translation>
     </message>
     <message>
         <location line="+19"/>
         <source>Idle.</source>
-        <translation type="unfinished">Inattivo.</translation>
+        <translation>Inattivo.</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Find</source>
-        <translation type="unfinished">Cerca</translation>
+        <translation>Trova</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Start search for matching files</source>
-        <translation type="unfinished">Inizia la ricerca</translation>
+        <translation>Inizia la ricerca</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Stop</source>
-        <translation type="unfinished">Interrompi</translation>
+        <translation>Interrompi</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Stop searching</source>
-        <translation type="unfinished">Interrompi la ricerca</translation>
+        <translation>Interrompi la ricerca</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>Filename/location</source>
-        <translation type="unfinished">Nome file/posizione</translation>
+        <translation>Nome file/posizione</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>File contents</source>
-        <translation type="unfinished">Contenuti</translation>
+        <translation>Contenuti</translation>
     </message>
     <message>
         <location line="+103"/>
         <source>Searching...</source>
-        <translation type="unfinished">Ricerca in corso...</translation>
+        <translation>Ricerca in corso...</translation>
     </message>
     <message>
         <location line="+22"/>
         <source>%1 match (es)</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 corrispondeze</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Set search directory</source>
-        <translation type="unfinished">Scegli la cartella di ricerca</translation>
+        <translation>Scegli la cartella di ricerca</translation>
     </message>
 </context>
 <context>
@@ -2342,12 +1724,12 @@
     <message>
         <location filename="../src/find-files-model.cc" line="+88"/>
         <source>Filename</source>
-        <translation type="unfinished">Nome del file</translation>
+        <translation>Nome del file</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Directory</source>
-        <translation type="unfinished">Cartella</translation>
+        <translation>Cartella</translation>
     </message>
 </context>
 <context>
@@ -2355,52 +1737,52 @@
     <message>
         <location filename="../src/history-dock-widget.cc" line="+48"/>
         <source>Browse and search the command history.</source>
-        <translation type="unfinished">Naviga nello storico dei comandi.</translation>
+        <translation>Sfoglia e cerca nella cronologia dei comandi.</translation>
     </message>
     <message>
         <location line="+94"/>
         <source>Copy</source>
-        <translation type="unfinished">Copia</translation>
+        <translation>Copia</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Evaluate</source>
-        <translation type="unfinished">Valuta</translation>
+        <translation>Valuta</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Create script</source>
-        <translation type="unfinished">Crea script</translation>
+        <translation>Crea script</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Hide filter</source>
-        <translation type="unfinished">Nascondi filtro</translation>
+        <translation>Nascondi filtro</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show filter</source>
-        <translation type="unfinished">Mostra filtro</translation>
+        <translation>Mostra filtro</translation>
     </message>
     <message>
         <location line="+123"/>
         <source>Double-click a command to transfer it to the terminal.</source>
-        <translation type="unfinished">Fare doppio click su un comando per trasferirlo nel terminale.</translation>
+        <translation>Fare doppio click su un comando per trasferirlo nel terminale.</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Enter text to filter the command history</source>
-        <translation type="unfinished">Inserire del testo per filtrare lo storico dei comandi</translation>
+        <translation>Inserire del testo per filtrare la cronologia dei comandi</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Filter</source>
-        <translation type="unfinished">Filtra</translation>
+        <translation>Filtra</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Command History</source>
-        <translation type="unfinished">Storico dei comandi</translation>
+        <translation>Cronologia dei comandi</translation> <!---->
     </message>
 </context>
 <context>
@@ -2408,17 +1790,17 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="-178"/>
         <source>Welcome to Octave!</source>
-        <translation type="unfinished">Benvenuto in Octave!</translation>
+        <translation>Benvenuto in Octave!</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Next</source>
-        <translation type="unfinished">Successivo</translation>
+        <translation>Successivo</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished">Annulla</translation>
+        <translation>Annulla</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2427,7 +1809,7 @@
 Click &apos;Next&apos; to create a configuration file and launch Octave.&lt;/p&gt;
 &lt;p&gt;The configuration file is stored in&lt;br&gt;%1.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;body&gt;
+        <translation>&lt;html&gt;&lt;body&gt;
 &lt;p&gt;Sembra che si stia utilizzando l&apos;interfaccia grafica di Octave per la prima volta su questo computer.
 Fare click su &apos;Successivo&apos; per creare un file di configurazione e lanciare Octave.&lt;/p&gt;
 &lt;p&gt;Il file di configurazione verrà salvato in&lt;br&gt;%1.&lt;/p&gt;
@@ -2439,12 +1821,12 @@
     <message>
         <location filename="../src/octave-dock-widget.cc" line="+52"/>
         <source>Undock widget</source>
-        <translation type="unfinished">Rilascia widget</translation>
+        <translation>Rilascia widget</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Close widget</source>
-        <translation type="unfinished"></translation>
+        <translation>Chiudi widget</translation>
     </message>
 </context>
 <context>
